Remi's RPM repository - Packages

Blog | Forum | Repository | Wizard

php56-php-oci8 - A module for PHP applications that use OCI8 databases

Website:
http://www.php.net/
Licence:
PHP
Vendor:
Remi's RPM repository <https://rpms.remirepo.net/>
Description:
The php56-php-oci8 packages provides the OCI8 extension version 2.0.12
and the PDO driver to access Oracle Database.

The extension is linked with Oracle client libraries 21.3
(Oracle Instant Client).  For details, see Oracle's note
"Oracle Client / Server Interoperability Support" (ID 207303.1).

You must install libclntsh.so.21.1 to use this package, provided
in the database installation, or in the free Oracle Instant Client
available from Oracle.

Notice:
- php56-php-oci8 provides oci8 and pdo_oci extensions from php sources.
- php56-php-pecl-oci8 only provides oci8 extension.

Documentation is at http://php.net/oci8 and http://php.net/pdo_oci

Packages

php56-php-oci8-5.6.40-31.el7.remi.x86_64 [110 KiB] Changelog by Remi Collet (2021-10-20):
- fix PHP-FPM oob R/W in root process leading to priv escalation
  CVE-2021-21703
- use libicu version 69
- use oracle client library version 21.3
php56-php-oci8-5.6.40-29.el7.remi.x86_64 [110 KiB] Changelog by Remi Collet (2021-08-26):
- Fix #81211 Symlinks are followed when creating PHAR archive